Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.util
Class SlowHttpClientSocketFactory

    java.lang.Object
      org.apache.jmeter.protocol.http.util.SlowHttpClientSocketFactory

All Implemented Interfaces:
  org.apache.commons.httpclient.protocol.ProtocolSocketFactory

public class SlowHttpClientSocketFactory
extends Object
implements org.apache.commons.httpclient.protocol.ProtocolSocketFactory

HttpClient protocol factory to generate "slow" sockets for emulating dial-up modems

Constructor Summary
`SlowHttpClientSocketFactory(int cps)`

Method Summary
`Socket` | `createSocket(String host, int port)`
`Socket` | `createSocket(String host, int port, InetAddress clientHost, int clientPort)`
`Socket` | `createSocket(String host, int port, InetAddress localAddress, int localPort, org.apache.commons.httpclient.params.HttpConnectionParams params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlowHttpClientSocketFactory

    public SlowHttpClientSocketFactory(int cps)

Parameters:
  `cps` - - characters per second

Method Detail

### createSocket

    public Socket createSocket(String host,
                               int port,
                               InetAddress clientHost,
                               int clientPort)
                        throws IOException,
                               UnknownHostException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`

### createSocket

    public Socket createSocket(String host,
                               int port)
                        throws IOException,
                               UnknownHostException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`

### createSocket

    public Socket createSocket(String host,
                               int port,
                               InetAddress localAddress,
                               int localPort,
                               org.apache.commons.httpclient.params.HttpConnectionParams params)
                        throws IOException,
                               UnknownHostException,
                               org.apache.commons.httpclient.ConnectTimeoutException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Throws:
    `IOException`
    `UnknownHostException`
    `org.apache.commons.httpclient.ConnectTimeoutException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.